@font-face {
  font-family: TrajanPro;
  src: url(/fonts/TrajanPro-Regular.ttf);
}
body {
  overflow-x: hidden;
}
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
/* Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}
textarea {
  resize: none;
}
#loader {
  position: fixed;
  top: 0;
  z-index: 1032;
  width: 100%;
  height: 100dvh;
  overflow: hidden;
  background-color: #273349;
}
.hide {
  display: none;
}
#loader .loader {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
.loader-search {
  text-align: center;
  padding: 10px 0;
}
.count-label {
  display: inline-block;
  background: linear-gradient(to bottom, #ff9500, #d63384);
  text-align: center;
  line-height: 1;
  font-size: 0.7rem;
  padding: 0.2rem;
  border-radius: 1rem;
  color: white;
  min-width: 1.1rem;
  min-height: 1rem;
  margin-right: 5px;
}
.p-relative {
  position: relative;
}
.help-pass:hover .help-list {
  display: block;
}
.help-list {
  display: none;
  position: absolute;
  background-color: gray;
  color: white;
  padding: 10px 13px;
  border-radius: 5px;
  z-index: 9;
}
.help-list li {
  margin: 0;
}
#listNotifications {
  overflow-y: auto;
  max-height: calc(100vh - 120px);
}
.modal-footer button>i {
  margin-left: 5px;
  font-size: 12px;
  transform: translateY(-1px);
}
.custom-control {
  position: relative;
  display: inline-flex;
  min-height: 1.5rem;
  padding-left: 1.5rem;
}
.custom-control-input {
  width: 20px;
}
.custom-control-label {
  font-size: 18px;
}
.custom-file {
  position: relative;
  display: inline-block;
  width: 100%;
  height: 35px;
  margin-bottom: 0;
}
.custom-file-label {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  z-index: 1;
  height: 35px;
  padding: .35rem .55rem;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  border: 1px solid #ced4da;
  border-radius: .25rem;
  font-size: 13px;
}
.custom-file-input {
  position: relative;
  z-index: 2;
  width: 100%;
  height: 35px;
  margin: 0;
  opacity: 0;
}
/* Search membership */
.table-membership-info td {
  text-align: center;
  font-weight: bold;
  font-size: large;
}
.table-membership-info span {
  display: block;
  font-weight: 100;
  font-size: medium !important;
  padding-top: 5px;
}
.membership-profile-data {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.membership-profile-data img {
  width: 200px;
  max-height: 200px;
  border: 2px solid white;
  border-radius: 8px;
}
.no-b {
  border-top: none !important;
  border-top-left-radius: 0 !important;
  border-top-right-radius: 0 !important;
}

/* SAP - MyInventory */
.uploadFile {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border: 3px dashed #fff;
  border-radius: 8px;
  cursor: pointer;
}
.modal input[type="file"]:not(.visible) {
  visibility: hidden;
  width: 0;
  height: 0;
}

/* Membership CSS */
.uploadFileMembership, .uploadFileMembershipRenew {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border: 3px dashed #fff;
  border-radius: 8px;
  padding: 10px;
  cursor: pointer;
}
.card-front {
  display: fleX;
  justify-content: center;
  flex-direction: column;
  height: 324.95px;
  background-color: white;
  border-radius: 8px;
}
.card-img {
  display: flex;
  justify-content: center;
  padding: 25px 0 15px 0;
}
.card-name {
  background-color: #012d46;
  text-align: center;
  padding: 7px 0 5px 0;
  font-family: TrajanPro;
}
.card-code {
  display: fleX;
  justify-content: center;
  padding-top: 10px;
}
.card-expiration {
  color: black;
  font-family: TrajanPro;
  text-align: center;
  font-size: smaller;
  font-weight: bold;
  transform: translateY(-15px);
}
.card-back img {
  width: 100%;
  border-radius: 8px;
}

/* User View */
.searchList {
  display: none;
  position: absolute;
  width: 100%;
  max-height: calc(100vh - 350px);
  background-color: #2a374f;
  border: 1px solid #3c4e71;
  border-radius: 6px;
  overflow-y: auto;
  z-index: 10;
}
.searchList ul {
  list-style: none;
  overflow-y: auto;
}
.searchList li {
  width: 100%;
}
.searchList li:first-of-type {
  border-top-left-radius: 6px;
  border-top-right-radius: 6px;
}
.searchList li:last-of-type {
  border-bottom-left-radius: 6px;
  border-bottom-right-radius: 6px;
}
.searchList a {
  display: block;
  width: 100%;
  color: white;
  padding: 10px;
  text-decoration: none;
  border-radius: inherit;
}
.searchList a:hover {
  background-color: rgba(0, 0, 0, 0.5);
}

/* Table request view modal */
td {
  position: relative;
}
.input-container {
  position: absolute;
  display: inline-block;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  border: 2px solid white;
  border-radius: 3px;
}
#Trequest {
  width: 100%;
  text-align: center;
}
#Trequest span {
  font-size: large;
  font-weight: bold;
  padding-bottom: 5px;
}
#Trequest p {
  font-size: larger;
  margin: 0;
  padding-top: 5px;
}
#TSystems input, #TDevices input {
    width: 100%;
    height: 100%;
    background-color: transparent;
    border: none;
}

#confirm-modal {
  z-index: 1056;
}

/* Blink Animation */
@keyframes blink {
  0% {
    color: red;
  }
  100% {
    color: white;
  }
}
@-webkit-keyframes blink {
  0% {
    color: red;
  }
  100% {
    color: white;
  }
}
.blink {
  -webkit-animation: blink 1s linear infinite;
  -moz-animation: blink 1s linear infinite;
  animation: blink 1s linear infinite;
}
@keyframes bg-blink {
  0% {
    background-color: red;
  }
  100% {
    background-color: inherit;
  }
}
@-webkit-keyframes bg-blink {
  0% {
    background-color: red;
  }
  100% {
    background-color: inherit;
  }
}
.bg-blink {
  -webkit-animation: bg-blink 1s linear infinite;
  -moz-animation: bg-blink 1s linear infinite;
  animation: bg-blink 1s linear infinite;
}
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@-webkit-keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.spin {
  -webkit-animation: spin 1s linear infinite;
  -moz-animation: spin 1s linear infinite;
  animation: spin 1s linear infinite;
}